View Issue Details

IDProjectCategoryView StatusLast Update
0011081ScribusStylespublic2016-05-26 16:54
ReporterJLuc Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status newResolutionopen 
Product Version1.4.1 
Target VersionFuture Release - Nice to haveFixed in Version 
Summary0011081: Height of 'fixed' line should not be hardcoded to 15 (but instead a generated number based on chosen char size)
DescriptionWhen defining a paragraph style and switching heigth of line from 'automatic' to 'fix', the default 'fix' value is 15.

15 is sometime relevant, sometime not at all.

Instead of 15, a cleverly computed value could appear as the default 'fixed' value, when possible, when this option is selected.

Basicaly it could be the size of the character style. Maybe some more clever and acurate algorythm would however lead to a value closer to the expectations. "What is the equivalent or approached 'fixed size' of 'automatic size' ?" seems the question to answer.
TagsNo tags attached.
PatchNo

Relationships

related to 0011436 new Change the default text line spacing. 

Activities

PeterBenedek

2016-05-25 10:42

developer   ~0041414

Tested Ubuntu 16.04; r21350

I can reproduce!

In that case should: font height×130% (it is generally appropriate).

Issue History

Date Modified Username Field Change
2012-09-20 16:20 JLuc New Issue
2016-05-25 10:42 PeterBenedek Note Added: 0041414
2016-05-25 22:18 Kunda Patch => No
2016-05-25 22:18 Kunda Summary Height of line should not be set to 15 => Height of 'fixed' line should not be set to 15 (but instead a generated number based on chosen char size)
2016-05-25 22:18 Kunda Summary Height of 'fixed' line should not be set to 15 (but instead a generated number based on chosen char size) => Height of 'fixed' line should not be hardcoded to 15 (but instead a generated number based on chosen char size)
2016-05-25 22:18 Kunda Target Version => Future Release - Nice to have
2016-05-26 16:54 Kunda Relationship added related to 0011436